ReferenceAPI referenceRepositories
Replace a repository's review-agent configuration
PUT
/organizations/{organization_id}/repositories/{repository_id}/configurationtasuku_session<token>
In: cookie
Path Parameters
organization_id*string
Length
1 <= length <= 128repository_id*string
Length
1 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/organizations/string/repositories/string/configuration" \ -H "Content-Type: application/json" \ -d '{ "agent_provider": "CODEX", "automatic_pr_description": "DISABLED", "issue_pull_request_mode": "DRAFT", "review_policy": { "comment_limit": 0, "excluded_authors": [ "string" ], "excluded_paths": [ "string" ], "max_changed_files": 0, "review_drafts": true, "review_on_open": true, "review_on_push": true, "review_on_ready": true, "review_on_reopen": true, "strictness": "LOW" }, "sandbox_config": { "property1": null, "property2": null }, "sandbox_provider": "CLOUDFLARE_CONTAINER" }'Empty